import os

import testinfra.utils.ansible_runner

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ["MOLECULE_INVENTORY_FILE"]
).get_hosts("all")


def test_postfix_installed(host):
    postfix = host.package("postfix")
    assert postfix.is_installed


def test_postfix_running_and_enabled(host):
    postfix = host.service("postfix")
    assert postfix.is_running
    assert postfix.is_enabled


def test_postfix_socket(host):
    # Verify the socket is listening for HTTP traffic
    assert host.socket("tcp://127.0.0.1:25").is_listening
